import Pannel from '@/components/pannel/index.vue';
import ScrollTable from '@/components/scroll-table/index.vue';
import { resourceFisposalWarning } from '../../../../api/index.js'
import { mapGetters } from 'vuex';
export default {
  components: {
    ScrollTable,
    Pannel
  },
  computed: {
    ...mapGetters(['year', 'deptId'])
  },
  watch: {
    year: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    },
    deptId: {
      handler () {
        this.getData();
      },
      immediate: true, // 立即执行
    }
  },
  data () {
    return {
      isLoad: false,
      headers: ['资源名称', '类别', '面积（亩）', '处置类型', '部门'],
      data: [
        ['资源名称', '类别', '面积（亩）', '处置类型', '部门']
      ]
    };
  },
  methods: {
    getData () {
      if (this.year, this.deptId) {
        this.isLoad = false;
        resourceFisposalWarning(this.deptId, this.year).then(res => {
          let data = res.rows.map(item => {
            return [item.assetName, item.assetType, 'null', item.assetStatus, item.deptId]
          })
          this.data = data;
          this.isLoad = true;
        })
      }
    }
  }
};
